IRPCVaultLoginsAdmin.GetVaultLogins
Administration API / specialized admin session idempotent
Gets all login accounts stored in the vault.
| Service | Vault login accounts MFiles.IRPCVaultLoginsAdmin |
|---|---|
| gRPC method | /MFiles.IRPCVaultLoginsAdmin/GetVaultLogins |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-vault-logins |
| Request | GetVaultLoginsRequest |
| Response | GetVaultLoginsResponse |
| Book and level | Administration API, specialized |
| Kind | admin |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | yes |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
- Requires the vault right
manage_users. Returns the vault's own logins only, not server logins. The order is not specified.
Request: GetVaultLoginsRequest
No fields.
Response: GetVaultLoginsResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
values[] | repeated Login | The vault logins. See Login. |
values[].account_type | AccountType | Account type (e.g. M-Files or Windows).Values: ACCOUNT_TYPE_UNINITIALIZED (0), ACCOUNT_TYPE_MFILES (1), ACCOUNT_TYPE_WINDOWS (2). |
values[].domain_name | string | Domain name, if acctype is eAccountTypeWindows. Otherwise unset. |
values[].user_name | string | User name. Cannot be unset. |
values[].options | SRVROLES | Bitmask of the server roles of the login. |
values[].options.all | bool | Specifies all flags set; Including any future flags. |
values[].options.system_administrator | bool | System administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults. |
values[].options.can_log_in | bool | Can log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role. |
values[].options.invalid_password | bool | This special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password. |
values[].full_name | string | The full name of the user. May be unset. |
values[].email_address | string | The email address of the user. May be unset. |
values[].license_type | LicenseType | License type.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4). |
values[].credential_type | CredentialType | Credential type.Values: CREDENTIAL_TYPE_USER (0), CREDENTIAL_TYPE_TECHNICAL (1). |
values[].client_id | string | Client ID, if credentialtype is eCredentialTypeTechnical. Otherwise unset. |
values[].external_id | string | The user identity in external system, such as Microsoft Entra (where the identity is a GUID). |
Related methods
- GetVaultLoginsWithSessions -- Gets the login accounts that currently have sessions to this vault.